Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.core.serializer.support
Class DeserializingConverter

    java.lang.Object
      org.springframework.core.serializer.support.DeserializingConverter

All Implemented Interfaces:
  Converter<byte[],Object>

    public class DeserializingConverter

extends Object
implements Converter<byte[],Object>

A `Converter` that delegates to a `Deserializer` to convert data in a byte array to an object.

Since:
  3.0.5
Author:
  Gary Russell, Mark Fisher

Constructor Summary
`DeserializingConverter()` Create a default DeserializingConverter that uses standard Java deserialization.
`DeserializingConverter(Deserializer<Object> deserializer)` Create a DeserializingConverter that delegates to the provided `Deserializer`.

Method Summary
`Object` | `convert(byte[] source)` Convert the source of type S to target type T.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeserializingConverter

    public DeserializingConverter()

  Create a default DeserializingConverter that uses standard Java deserialization.

### DeserializingConverter

    public DeserializingConverter(Deserializer<Object> deserializer)

  Create a DeserializingConverter that delegates to the provided `Deserializer`.

Method Detail

### convert

    public Object convert(byte[] source)

  Description copied from interface: `Converter`
  Convert the source of type S to target type T.

  Specified by:
    `convert` in interface `Converter<byte[],Object>`
  Parameters:
    `source` - the source object to convert, which must be an instance of S
  Returns:
    the converted object, which must be an instance of T

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD